<?php include('helpwanted.php'); ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Application Submission</title>
    <style>
        body { font-family: Arial, sans-serif; text-align: center; margin: 20px; }
        .error { color: red; }
        .success { color: blue; }
        table { margin: 0 auto; border-collapse: collapse; }
        td { padding: 8px; border: 1px solid #ccc; }
    </style>
</head>
<body>

<?php
$errors = [];

function validate_field($field, $name) {
    global $errors;
    if (!isset($field) || trim($field) === '') {
        $errors[] = "$name is required.";
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    validate_field($_POST['name'] ?? '', 'First Name');
    validate_field($_POST['lname'] ?? '', 'Last Name');
    validate_field($_POST['email'] ?? '', 'Email');
    validate_field($_POST['phone'] ?? '', 'Phone');
    validate_field($_POST['gender'] ?? '', 'Gender');
    validate_field($_POST['referred'] ?? '', 'Referral Status');

    if (empty($errors)) {
        echo "<h2 class='success'>Thank you for your application!<br>
        Your application is currently under review, and if selected, we will follow up.</h2>";
        echo "<table>";
        echo "<tr><td><strong>First Name:</strong></td><td>" . htmlspecialchars($_POST['name']) . "</td></tr>";
        echo "<tr><td><strong>Last Name:</strong></td><td>" . htmlspecialchars($_POST['lname']) . "</td></tr>";
        echo "<tr><td><strong>Email:</strong></td><td>" . htmlspecialchars($_POST['email']) . "</td></tr>";
        echo "<tr><td><strong>Phone:</strong></td><td>" . htmlspecialchars($_POST['phone']) . "</td></tr>";

        $shiftType = $_POST['Shift_Type'] ?? 'Not Provided';
        echo "<tr><td><strong>Shift Type:</strong></td><td>" . htmlspecialchars($shiftType) . "</td></tr>";

        $available_days = $_POST['days'] ?? [];
        echo "<tr><td><strong>Available Days:</strong></td><td>" . (!empty($available_days) ? implode(", ", array_map('htmlspecialchars', $available_days)) : "None") . "</td></tr>";

        $dob = htmlspecialchars($_POST['month']) . " " . htmlspecialchars($_POST['day']) . ", " . htmlspecialchars($_POST['year']);
        echo "<tr><td><strong>Date of Birth:</strong></td><td>" . $dob . "</td></tr>";
        echo "<tr><td><strong>Gender:</strong></td><td>" . htmlspecialchars($_POST['gender']) . "</td></tr>";
        echo "<tr><td><strong>Referred:</strong></td><td>" . htmlspecialchars($_POST['referred']) . "</td></tr>";

        $comments = $_POST['comments'] ?? 'None';
        echo "<tr><td><strong>Who Referred You:</strong></td><td>" . nl2br(htmlspecialchars($comments)) . "</td></tr>";
        echo "</table>";
    } else {
        echo "<h2 class='error'>There were errors with your submission:</h2><ul>";
        foreach ($errors as $error) {
            echo "<li>" . htmlspecialchars($error) . "</li>";
        }
        echo "</ul><p><a href='javascript:history.back()'>Go back to the form</a></p>";
    }
} else {
    echo "<h2 class='error'>Invalid access. Please submit the form first.</h2>";
}
?>

<?php include('krustykrab.php'); ?>

</body>
</html>
